#!/usr/bin/env bash

# Displays a list of the posts
declare date_format
declare date_locale
list_posts() {
   ls ./*.md &> /dev/null
	(($? != 0)) &&
    echo "No posts yet. Use '$0 post' to create one" && 
    return
    
    lines=""
    n=1
    while IFS='' read -r i; do
        is_boilerplate_file "$i" && continue
        line="$n # $(get_post_title "$i") # $(LC_ALL=$date_locale date -r "$i" +"$date_format")"
        lines+=$line\\n
        n=$(( n + 1 ))
    done < <(ls -t ./*.md)
    echo -e "$lines" | column -t -s "#"
}