#!/usr/bin/env bash

# shellcheck disable=SC1091
# shellcheck disable=SC2034

# TildeLog, a not-so-simple blog/gemlog/phlog system made for tilde.team
# By Josemar Lohn <j@lohn.in> (https://lohn.in)
#
# Heavily based on BashBlog, by Carlos Fenollosa <carlos.fenollosa@gmail.com>

md2html_awk=$(<deps/bin/md2html)
md2gemini_awk=$(<deps/bin/md2gemini)
md2gopher_awk=$(<deps/bin/md2gopher)

### BEGIN SOURCEFILES -> DO NOT REMOVE THIS LINE
source ./lib/all_posts.sh
source ./lib/all_tags.sh
source ./lib/create_css.sh
source ./lib/create_html_page.sh
source ./lib/create_includes.sh
source ./lib/date_version_detect.sh
source ./lib/delete_includes.sh
source ./lib/do_main.sh
source ./lib/edit.sh
source ./lib/get_html_file_content.sh
source ./lib/get_post_author.sh
source ./lib/get_post_title.sh
source ./lib/global_variables.sh
source ./lib/is_boilerplate_file.sh
source ./lib/list_posts.sh
source ./lib/list_tags.sh
source ./lib/make_gemini.sh
source ./lib/make_gophermap.sh
source ./lib/make_rss.sh
source ./lib/make_html.sh
source ./lib/parse_file.sh
source ./lib/posts_with_tags.sh
source ./lib/rebuild_all_entries.sh
source ./lib/rebuild_index.sh
source ./lib/rebuild_tags.sh
source ./lib/reset.sh
source ./lib/tags_in_post.sh
source ./lib/twitter_card.sh
source ./lib/usage.sh
source ./lib/write_entry.sh

### END SOURCEFILES -> DO NOT REMOVE THIS LINE

#
# MAIN
# Do not change anything here. If you want to modify the code, edit do_main()
#
do_main "$@"

# vim: set shiftwidth=4 tabstop=4 expandtab:
